- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# MittelmannBndryCntrlDiri3D Class Reference

Class implementating Example 1. More...

`#include <MittelmannBndryCntrlDiri3D.hpp>`

Inheritance diagram for MittelmannBndryCntrlDiri3D:

[legend]
Collaboration diagram for MittelmannBndryCntrlDiri3D:

[legend]
List of all members.

## Public Member Functions
| MittelmannBndryCntrlDiri3D ()
virtual | ~MittelmannBndryCntrlDiri3D ()
virtual bool | InitializeProblem (Index N)
| Initialize internal parameters, where N is a parameter determining the problme size.
## Protected Member Functions
virtual Number | y_d_cont (Number x1, Number x2, Number x3) const
| Target profile function for y.
## Private Member Functions
hide implicitly defined contructors copy operators
| MittelmannBndryCntrlDiri3D (const MittelmannBndryCntrlDiri3D &)
MittelmannBndryCntrlDiri3D & | operator= (const MittelmannBndryCntrlDiri3D &)

## Detailed Description

Class implementating Example 1.

Definition at line 258 of file MittelmannBndryCntrlDiri3D.hpp.

## Constructor & Destructor Documentation

MittelmannBndryCntrlDiri3D::MittelmannBndryCntrlDiri3D | ( |  | ) | `[inline]`

Definition at line 261 of file MittelmannBndryCntrlDiri3D.hpp.

virtual MittelmannBndryCntrlDiri3D::~MittelmannBndryCntrlDiri3D | ( |  | ) | `[inline, virtual]`

Definition at line 264 of file MittelmannBndryCntrlDiri3D.hpp.

MittelmannBndryCntrlDiri3D::MittelmannBndryCntrlDiri3D | ( | const MittelmannBndryCntrlDiri3D & |  | ) | `[private]`

## Member Function Documentation

virtual bool MittelmannBndryCntrlDiri3D::InitializeProblem | ( | Index | N | ) | `[inline, virtual]`

Initialize internal parameters, where N is a parameter determining the problme size.

This returns false, if N has an invalid value.

Implements RegisteredTNLP.

Definition at line 267 of file MittelmannBndryCntrlDiri3D.hpp.

References MittelmannBndryCntrlDiriBase3D::SetBaseParameters().

virtual Number MittelmannBndryCntrlDiri3D::y_d_cont | ( | Number | x1,
|  | Number | x2,
|  | Number | x3 |
| ) |  |  | const`[inline, protected, virtual]`

Target profile function for y.

Implements MittelmannBndryCntrlDiriBase3D.

Definition at line 286 of file MittelmannBndryCntrlDiri3D.hpp.

MittelmannBndryCntrlDiri3D& MittelmannBndryCntrlDiri3D::operator= | ( | const MittelmannBndryCntrlDiri3D & |  | ) | `[private]`

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.5.1/Ipopt/examples/ScalableProblems/MittelmannBndryCntrlDiri3D.hpp